#521 closed defect (fixed)

default attribute for Classic API Semaphores

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 2
Component: doc Version: 4.6
Severity: major Keywords:
Cc: bugs@… Blocked By:
Blocking:

Description

The documentation states that the default is to be a binary semaphore while the reality is that the default is and apparently always has been to be counting.

See http://www.rtems.com/ml/rtems-users/2003/november/msg00151.html for the original posting.

Release:
RTEMS-4.6 and CVS

Attachments (1)

pr521.diff (1.2 KB) - added by Joel Sherrill on Dec 3, 2006 at 1:31:13 PM.
pr521.diff

Download all attachments as: .zip

Change History (2)

comment:1 Changed on Nov 21, 2003 at 1:24:12 PM by Joel Sherrill

Status: assignedclosed

State-Changed-From-To: open->closed
State-Changed-Why: Patch applied to branch and trunk.

2003-11-21 Joel Sherrill <joel@…>


PR 521/doc

  • sem.t: Default attributes were wrong for semaphores.

Changed on Dec 3, 2006 at 1:31:13 PM by Joel Sherrill

Attachment: pr521.diff added

pr521.diff

Note: See TracTickets for help on using tickets.